using Exferia_Aplicacion.General;
using Exferia_EntityFramework;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Exferia_Maestros._0_Modelos
{
    public class INTERNO_MAE_Articulos_Temporadas_Listado_Modelo : MAE_Articulos_Temporadas
    {
        public INTERNO_MAE_Articulos_Temporadas_Listado_Modelo()
        { }


        //Ordenacion
        public string Ordenacion
        {
            get
            {
                string str_Ordenacion = "0000";

                string str_Dia = "0" + desde_Dia;
                string str_Mes = "0" + desde_Mes;

                str_Ordenacion = (str_Mes.Substring(str_Mes.Length - 2, 2)) + (str_Dia.Substring(str_Dia.Length-2,2));
                
                return str_Ordenacion;
            }
        }

        //Desde
        public string Desde
        {
            get
            {
                string str_Desde = "";

                str_Desde = desde_Dia + " de ";

                if (desde_Mes == 1)
                {
                    str_Desde += Variables.G_STR_CALENDARIO_MES_ENERO;
                }
                else if (desde_Mes == 2)
                {
                    str_Desde += Variables.G_STR_CALENDARIO_MES_FEBRERO;
                }
                else if (desde_Mes == 3)
                {
                    str_Desde += Variables.G_STR_CALENDARIO_MES_MARZO;
                }
                else if (desde_Mes == 4)
                {
                    str_Desde += Variables.G_STR_CALENDARIO_MES_ABRIL;
                }
                else if (desde_Mes == 5)
                {
                    str_Desde += Variables.G_STR_CALENDARIO_MES_MAYO;
                }
                else if (desde_Mes == 6)
                {
                    str_Desde += Variables.G_STR_CALENDARIO_MES_JUNIO;
                }
                else if (desde_Mes == 7)
                {
                    str_Desde += Variables.G_STR_CALENDARIO_MES_JULIO;
                }
                else if (desde_Mes == 8)
                {
                    str_Desde += Variables.G_STR_CALENDARIO_MES_AGOSTO;
                }
                else if (desde_Mes == 9)
                {
                    str_Desde += Variables.G_STR_CALENDARIO_MES_SEPTIEMBRE;
                }
                else if (desde_Mes == 10)
                {
                    str_Desde += Variables.G_STR_CALENDARIO_MES_OCTUBRE;
                }
                else if (desde_Mes == 11)
                {
                    str_Desde += Variables.G_STR_CALENDARIO_MES_NOVIEMBRE;
                }
                else if (desde_Mes == 12)
                {
                    str_Desde += Variables.G_STR_CALENDARIO_MES_DICIEMBRE;
                }
                

                return str_Desde;
            }
        }

        //Hasta
        public string Hasta
        {
            get
            {
                string str_Hasta = "";

                str_Hasta = hasta_Dia + " de ";

                if (hasta_Mes == 1)
                {
                    str_Hasta += Variables.G_STR_CALENDARIO_MES_ENERO;
                }
                else if (hasta_Mes == 2)
                {
                    str_Hasta += Variables.G_STR_CALENDARIO_MES_FEBRERO;
                }
                else if (hasta_Mes == 3)
                {
                    str_Hasta += Variables.G_STR_CALENDARIO_MES_MARZO;
                }
                else if (hasta_Mes == 4)
                {
                    str_Hasta += Variables.G_STR_CALENDARIO_MES_ABRIL;
                }
                else if (hasta_Mes == 5)
                {
                    str_Hasta += Variables.G_STR_CALENDARIO_MES_MAYO;
                }
                else if (hasta_Mes == 6)
                {
                    str_Hasta += Variables.G_STR_CALENDARIO_MES_JUNIO;
                }
                else if (hasta_Mes == 7)
                {
                    str_Hasta += Variables.G_STR_CALENDARIO_MES_JULIO;
                }
                else if (hasta_Mes == 8)
                {
                    str_Hasta += Variables.G_STR_CALENDARIO_MES_AGOSTO;
                }
                else if (hasta_Mes == 9)
                {
                    str_Hasta += Variables.G_STR_CALENDARIO_MES_SEPTIEMBRE;
                }
                else if (hasta_Mes == 10)
                {
                    str_Hasta += Variables.G_STR_CALENDARIO_MES_OCTUBRE;
                }
                else if (hasta_Mes == 11)
                {
                    str_Hasta += Variables.G_STR_CALENDARIO_MES_NOVIEMBRE;
                }
                else if (hasta_Mes == 12)
                {
                    str_Hasta += Variables.G_STR_CALENDARIO_MES_DICIEMBRE;
                }
                

                return str_Hasta;
            }
        }

           
    }
}
